[Web Hosting] List eligible upgrade plans
curl --request GET \
--url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/hosting/{id}/eligible-plans \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/hosting/{id}/eligible-plans"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/hosting/{id}/eligible-plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"results": [
{
"name": "<string>",
"slug": "<string>",
"group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"group_name": "<string>",
"group_name_en": "<string>",
"group_name_fr": "<string>",
"group_slug": "<string>",
"default_price": {},
"pricing": [
"<unknown>"
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name_en": "<string>",
"name_fr": "<string>",
"description": "<string>",
"description_en": "<string>",
"description_fr": "<string>",
"disk_space_mb": 2147483647,
"bandwidth_mb": 2147483647,
"max_email_accounts": 2147483647,
"max_databases": 2147483647,
"max_subdomains": 2147483647,
"max_addon_domains": 2147483647,
"max_parked_domains": 2147483647,
"max_ftp_accounts": 2147483647,
"max_accounts": 2147483647,
"is_active": true
}
],
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2"
}Web Hosting
[Web Hosting] List eligible upgrade plans
Retrieve the list of web hosting plans the account is eligible to change to.
GET
/
v1
/
organizations
/
{organization_id}
/
projects
/
{project_id}
/
hosting
/
{id}
/
eligible-plans
[Web Hosting] List eligible upgrade plans
Authorizations
Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).
Path Parameters
Web hosting unique identifier
Organization unique identifier
Project unique identifier
⌘I

